> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/returns-api/returns-api-v2.1/methods.md).

# Methods

The ESW Returns API v2.0 allows retailers to perform the following actions:

* Retrieve an order from the database and check whether it is eligible for a return.
* Create a return order and optionally, request a return label. You can create a return for an entire order or specific order articles/line items within an order. This applies to checkout orders only, that is, orders that are placed through the ESW platform.
* Update an existing return order, including the status of the return order. For example, you can change the status from **Created** to **Processed**. You can also edit the return reason codes.
* Retrieve return information for a single order. The retrieved information includes all details of the return order, including refund status, refund values, line item/order article details, and so on.
* Retrieve all return orders by date range and return status. For example, you can get all return orders that were created between 2019-10-21 and 2019-10-23.
* Create returns for orders/packages that could not be delivered to the shopper (known as undeliverable returns).

### What's New In V2.1? <a href="#whats-new-in-v2.1" id="whats-new-in-v2.1"></a>

Returns API v2.1 is identical to Returns API v2.0 except for the following changes:

* v2.1 allows you to create Blind returns in addition to Normal and EU-Cooling Off returns.
  * **Normal**: Indicates a return that goes through the usual returns process. That is, the shopper creates a return through the Returns portal and the return order is received by ESW.
  * **Blind**: Indicates a return where the shopper returns their order directly to the retailer without creating a return on the Returns portal.
  * **EU Cooling-off**: Indicates a return that is within the cooling-off period and protected by the EU Consumer guarantee.
* The `brandReturnOrderReference` parameter in v2.0 is renamed to `brandReturnOrderNumber` in v2.1. This parameter is available in the `Create Return` request.
* The `brandCode` parameter does not exist in the `GET Returns` request in v2.1. In v2.0, this parameter is available in the `Get Returns` request.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/returns-api/returns-api-v2.1/methods.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
